// this declaration is based on https://github.com/uuidjs/uuid/blob/v3.4.0/README.md

type UuidOptions = {
  node?: number[];
  clockseq?: number;
  msecs?: number;
  nescs?: number;
};

declare module 'uuid/v1' {
  const v1: (options?: UuidOptions, buf?: number[] | Buffer, offset?: number) => string;
  export = v1;
}

declare module 'uuid/v3';
declare module 'uuid/v4';
declare module 'uuid/v5';
